Subject: Re: bug#58809: [PATCH] gnu: Add samplebrain.
From: Maxim Cournoyer <[email-masked]>
To: Antero Mejr <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Mar 2023 13:47:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Antero,

Antero Mejr <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> Thanks!  The license, which is gpl2+ (version 2 or later), according to
>> the LICENSE file (and source copyright headers).
>
> Fixed in v2.
>
>> I was about to push this, but running the binary yields:
>>
>> $ /gnu/store/qi31sc2z7nbi4c3wpj7w218fgbjmfsns-samplebrain-0.18.4/bin/samplebrain
>> liblo server error 9904
>> Segmentation fault
>>
>> Could you please look into that?
>
> It looks like that error is because liblo is unable to bind to a port to
> create an OSC server. Samplebrain starts up that server on init to do
> its audio routing. Were you running the binary in a container, or on a
> system that does not have a soundcard or audio software (ALSA, Jack) set
> up?
> I can't reproduce that error on my ALSA-based system.

I use pulseaudio/ALSA. I haven't tried with Jack running.  I've tried
with your v2 update, and it worked!  So I've now pushed it, adding your
copyright line at the top.

> Semi-related, is there going to be a revert to fix QT_PLUGIN_PATH on
> Wayland? I saw it was being discussed at:
> https://issues.guix.gnu.org/57742
>
> When I run QT applications under XWayland, there is a dialog box bug
> that crashes my WM (Sway) and requires a reboot. I first noticed it when
> running the dolphin emulator, but now I see it with Samplebrain too.

It would need to be attempted and see if everything runs well even when
mixing Qt 5 and 6 in QT_PLUGIN_PATH, but upstream says it should.

-- 
Thanks,
Maxim